<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * English language pack for Annotations
 *
 * @package    ivplugin_annotation
 * @category   string
 * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addinlineannotation'] = 'Add {$a}';
$string['advanced'] = 'Advanced settings';
$string['allowpause'] = 'Allow pause';
$string['alttext'] = 'Alternative text';
$string['audio'] = 'Audio';
$string['audiofile'] = 'Audio file';
$string['autoplay'] = 'Autoplay';
$string['bgcolor'] = 'Background color';
$string['bordercolor'] = 'Border color';
$string['borderwidth'] = 'Border width';
$string['center'] = 'Center';
$string['circle'] = 'Circle';
$string['color'] = 'Color';
$string['content'] = 'Content';
$string['danger'] = 'Danger';
$string['dangeroutline'] = 'Danger outline';
$string['dark'] = 'Dark';
$string['darkoutline'] = 'Dark outline';
$string['defaultfont'] = 'Default';
$string['durationinminute'] = 'Duration (in minute)';
$string['editinlineannotation'] = 'Edit {$a}';
$string['file'] = 'File upload';
$string['filefile'] = 'Attachment';
$string['gototimestamp'] = 'Go to timestamp';
$string['gotourl'] = 'Go to URL';
$string['group'] = 'Group';
$string['hotspot'] = 'Hotspot';
$string['image'] = 'Image';
$string['imagefile'] = 'Image file';
$string['info'] = 'Info';
$string['infooutline'] = 'Info outline';
$string['inlineannotationcontent'] = 'Inline annotation';
$string['inlineannotationdescription'] = 'Superimpose an audio, image, or video on the video.';
$string['inlinefile'] = 'File';
$string['interactionisbetweentheskipsegment'] = 'You cannot add an interaction between the skip segment.';
$string['invalidtimestampformat'] = 'Invalid timestamp format';
$string['invalidurlformat'] = 'Invalid URL';
$string['label'] = 'Label';
$string['layer-down'] = 'Send downward';
$string['layer-up'] = 'Send upward';
$string['left'] = 'Left';
$string['light'] = 'Light';
$string['lightoutline'] = 'Light outline';
$string['navigation'] = 'Navigation';
$string['numberofminutes'] = 'Number of minutes';
$string['onlyonestopwatch'] = 'You can only add one stopwatch.';
$string['opacity'] = 'Opacity';
$string['openbydefault'] = 'Open by default';
$string['playalarmsound'] = 'Play alarm sound';
$string['playsoundatend'] = 'Play sound when stopwatch ends';
$string['playsoundatinterval'] = 'Play sound at interval';
$string['plugindescription'] = 'Add persistent annotations on top of the video';
$string['pluginname'] = 'Annotations';
$string['primary'] = 'Primary';
$string['primaryoutline'] = 'Primary outline';
$string['privacy:metadata'] = 'The Inline Annotations plugin doesn\'t store any personal data.';
$string['rectangle'] = 'Rectangle';
$string['resizable'] = 'Resizable/movable';
$string['right'] = 'Right';
$string['rounded'] = 'Rounded';
$string['save'] = 'Save';
$string['secondary'] = 'Secondary';
$string['secondaryoutline'] = 'Secondary outline';
$string['shadow'] = 'Shadow';
$string['shape'] = 'Shape';
$string['showuntil'] = 'Show until';
$string['sticky'] = 'Sticky';
$string['stopwatch'] = 'Stopwatch';
$string['style'] = 'Style';
$string['success'] = 'Success';
$string['successoutline'] = 'Success outline';
$string['text'] = 'Text';
$string['textalignment'] = 'Text alignment';
$string['textblock'] = 'Text block';
$string['textbold'] = 'Bold';
$string['textcolor'] = 'Text color';
$string['textfont'] = 'Font family';
$string['textitalic'] = 'Italic';
$string['textunderline'] = 'Underline';
$string['timemustbebetweenstartandendtime'] = 'Time must be within the start ({$a->start}) and end ({$a->end}) times of the video';
$string['timestamp'] = 'Timestamp';
$string['title'] = 'Title';
$string['transparent'] = 'Transparent';
$string['ungroup'] = 'Ungroup';
$string['unsavedchange'] = 'Unsaved changes';
$string['unsavedchangeconfirm'] = 'You have unsaved changes. Click Save to commit changes. Click Cancel to discard changes.';
$string['url'] = 'URL';
$string['usemodal'] = 'Display in modal';
$string['video'] = 'Video';
$string['videofile'] = 'Video file';
$string['warning'] = 'Warning';
$string['warningoutline'] = 'Warning outline';
