<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Khmer language pack for Annotations
 *
 * @package    ivplugin_annotation
 * @category   string
 * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addinlineannotation'] = 'បន្ថែម {$a}';
$string['advanced'] = 'ការកំណត់បន្ថែម';
$string['allowpause'] = 'អាចផ្អាកបាន';
$string['alttext'] = 'អត្ថបទជំនួស';
$string['audio'] = 'អូឌីយ៉ូ';
$string['audiofile'] = 'ឯកសារអូឌីយ៉ូ';
$string['autoplay'] = 'លេងដោយស្វ័យប្រវត្តិ';
$string['bgcolor'] = 'ពណ៌ផ្ទៃខាងក្រោយ';
$string['bordercolor'] = 'ពណ៌បន្ទាត់';
$string['borderwidth'] = 'កម្រាស់បន្ទាត់';
$string['center'] = 'កណ្តាល';
$string['circle'] = 'រង្វង់';
$string['color'] = 'ពណ៌';
$string['content'] = 'មាតិកា';
$string['danger'] = 'បញ្ហា';
$string['dangeroutline'] = 'បញ្ហាមានបន្ទាត់ស៊ុម';
$string['dark'] = 'ខ្មៅ';
$string['darkoutline'] = 'ខ្មៅមានបន្ទាត់ស៊ុម';
$string['defaultfont'] = 'លំនាំដើម';
$string['durationinminute'] = 'ថេរវេលា (ជានាទី)';
$string['editinlineannotation'] = 'កែប្រែ {$a}';
$string['file'] = 'ផ្ទុកវីដេអូ';
$string['filefile'] = 'ឯកសារភ្ជាប់';
$string['gototimestamp'] = 'ទៅកាន់ពេលវេលា';
$string['gotourl'] = 'ទៅកាន់តំណ';
$string['group'] = 'បញ្ចូលក្រុម';
$string['hotspot'] = 'ហត់ស្ពត់';
$string['image'] = 'រូបភាព';
$string['imagefile'] = 'ឯកសាររូបភាព';
$string['info'] = 'ព័ត៌មាន';
$string['infooutline'] = 'ព័ត៌មានមានបន្ទាត់ស៊ុម';
$string['inlinefile'] = 'ឯកសារ';
$string['interactionisbetweentheskipsegment'] = 'អ្នកមិនអាចបញ្ចូលមាតិកានៅចន្លោះដែលត្រូវរំលងទេ';
$string['invalidtimestampformat'] = 'ទម្រង់ពេលវេលាមិនត្រឹមត្រូវ';
$string['invalidurlformat'] = 'តំណមិនត្រឹមត្រូវ';
$string['label'] = 'ឈ្មោះ';
$string['layer-down'] = 'រុញទៅក្រោម';
$string['layer-up'] = 'រុញទៅលើ';
$string['left'] = 'ឆ្វេង';
$string['light'] = 'ស';
$string['lightoutline'] = 'សមានបន្ទាត់ស៊ុម';
$string['navigation'] = 'ផ្លាស់ទី';
$string['numberofminutes'] = 'ចំនួននាទី';
$string['onlyonestopwatch'] = 'អ្នកអាចបញ្ចូលម៉ោងរាប់ថយក្រោយតែមួយប៉ុណ្ណោះ';
$string['opacity'] = 'កម្រិតថ្លា';
$string['openbydefault'] = 'បើកមាតិកាស្រាប់';
$string['playalarmsound'] = 'លេងសម្លេង';
$string['playsoundatend'] = 'ពេលសម្លេងពេលដល់ម៉ោង';
$string['playsoundatinterval'] = 'លេងសម្លេងរាល់ចន្លោះពេល';
$string['plugindescription'] = 'បញ្ចូលចំណារលើវីដេអូ';
$string['pluginname'] = 'ចំណារលើវីដេអូ';
$string['primary'] = 'ចម្បង';
$string['primaryoutline'] = 'ចម្បងមានបន្ទាត់ស៊ុម';
$string['privacy:metadata'] = 'មិនផ្ទុកព័ត៌មានបុគ្គលទេ';
$string['rectangle'] = 'ចតុកោណ';
$string['resizable'] = 'អាចប្តូរទំហំ/ទីតាំងបាន';
$string['right'] = 'ឆ្វេង';
$string['rounded'] = 'រាងមូល';
$string['save'] = 'រក្សាទុក';
$string['secondary'] = 'រង';
$string['secondaryoutline'] = 'រងមានបន្ទាត់ស៊ុម';
$string['shadow'] = 'ស្រមោល';
$string['shape'] = 'រូបរាង';
$string['showuntil'] = 'បង្ហាញដល់';
$string['sticky'] = 'ស្អិត';
$string['stopwatch'] = 'ម៉ោងថយក្រោយ';
$string['style'] = 'រូបរាង';
$string['success'] = 'ជោគជ័យ';
$string['successoutline'] = 'ជោគជ័យមានបន្ទាត់ស៊ុម';
$string['text'] = 'អត្ថបទ';
$string['textalignment'] = 'តម្រឹមអត្ថបទ';
$string['textblock'] = 'អត្ថបទ';
$string['textbold'] = 'ដិត';
$string['textcolor'] = 'ពណ៌អត្ថបទ';
$string['textfont'] = 'ពុម្ពអក្សរ';
$string['textitalic'] = 'ទ្រេត';
$string['textunderline'] = 'បន្ទាត់ក្រោម';
$string['timemustbebetweenstartandendtime'] = 'វីនាទីត្រូវនៅចន្លោះពេលចាប់​ផ្តើម ({$a->start}) និងពេលបញ្ចប់ ({$a->end})';
$string['timestamp'] = 'ពេលវេលា';
$string['title'] = 'ចំណងជើង';
$string['transparent'] = 'ថ្លា';
$string['ungroup'] = 'បំបែកក្រុម';
$string['unsavedchange'] = 'ការកែប្រែមិនទាន់រក្សាទុក';
$string['unsavedchangeconfirm'] = 'អ្នកបានធ្វើការកែប្រែតែមិនទាន់បានរក្សាទុក។ តើអ្នកចង់រក្សាទុកទេ?';
$string['url'] = 'តំណ';
$string['usemodal'] = 'បង្ហាញជាផ្ទាំងផុស';
$string['video'] = 'វីដេអូ';
$string['videofile'] = 'ឯកសារវីដេអូ';
$string['warning'] = 'ប្រមាន';
$string['warningoutline'] = 'ប្រមានមានបន្ទាត់ស៊ុម';

