<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * English language pack for Form
 *
 * @package    ivplugin_form
 * @category   string
 * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addformfield'] = 'Add {$a} field';
$string['advcheckboxfield'] = 'Checkboxes';
$string['afterdate'] = 'After';
$string['aftermonth'] = 'After';
$string['aftertime'] = 'After';
$string['afterweek'] = 'After';
$string['allowfiles'] = 'Allow files';
$string['allowother'] = 'Add Other';
$string['allowother_help'] = 'Allow users to enter a custom value.';
$string['beforedate'] = 'Before';
$string['beforemonth'] = 'Before';
$string['beforetime'] = 'Before';
$string['beforeweek'] = 'Before';
$string['closeat'] = 'Close section before';
$string['closeat_help'] = 'If set, the section will end before the specified field; otherwise, it will end before the next section.';
$string['completiononformsubmit'] = 'Mark complete when form is submitted';
$string['content'] = 'Content';
$string['currentvalue'] = 'Current value';
$string['date_selectorfield'] = 'Date';
$string['datefield'] = 'Date';
$string['datemustbeafter'] = 'Date must be after or on {$a}';
$string['datemustbebefore'] = 'Date must be before or on {$a}';
$string['dateselectorfield'] = 'Date';
$string['days'] = 'days';
$string['decades'] = 'decades';
$string['default'] = 'Default';
$string['defaultmustbeoneorallowmultipleresponse'] = 'You can set only one default value if multiple responses are not allowed.';
$string['deletefield'] = 'Delete field';
$string['deletefieldconfirm'] = 'Are you sure you want to delete this field?';
$string['displayvertical'] = 'Display list vertically';
$string['duedate'] = 'Due date';
$string['durationfield'] = 'Duration';
$string['durationunits'] = 'Duration units';
$string['editableresponseuntilduedate'] = 'Allow editing response until due date';
$string['editformfield'] = 'Edit {$a} field';
$string['editorfield'] = 'Text editor';
$string['filemanagerfield'] = 'File upload';
$string['filetypes'] = 'Allowed file types';
$string['form'] = 'Form';
$string['formcontent'] = 'Form';
$string['formdescription'] = 'Collect form responses from users.';
$string['formempty'] = 'Form is empty. Click on the field above to add it to the form.';
$string['formnolongeravailable'] = 'This form is no longer available.';
$string['formsubmissionisnotsavedinpreviewmode'] = 'Form submission is not saved in preview mode.';
$string['formsubmitted'] = 'Your response has been submitted!';
$string['formupdated'] = 'Your submission has been updated.';
$string['formvalidationerror'] = 'There are errors in the form. Please correct them before submitting.';
$string['fortnights'] = 'fortnights';
$string['guestmustlogintouploadfiles'] = 'Guests must log in to upload files.';
$string['headerfield'] = 'Heading';
$string['height'] = 'Height';
$string['helptext'] = 'Help/description text';
$string['hours'] = 'hours';
$string['htmlcannotfollowthesectiondirectly'] = 'An HTML element cannot follow a section directly. Add a line break or a form element before the HTML element.';
$string['htmlfield'] = 'HTML';
$string['includetime'] = 'Include time selector';
$string['keysseparatedbycommas'] = 'Enter keys separated by commas';
$string['label'] = 'Label';
$string['linebreakfield'] = 'Line break';
$string['maxchars'] = 'Max characters';
$string['maxday'] = 'Max day';
$string['maxfile'] = 'Max files';
$string['maxfiles'] = 'Maximum number of files';
$string['maxlength'] = 'Max';
$string['maxmonth'] = 'Max month';
$string['maxselection'] = 'Max selections';
$string['maxsize'] = 'Maximum file size';
$string['maxsizeshort'] = 'Max size';
$string['maxtime'] = 'Max time';
$string['maxvaluemustbelessthanoption'] = 'The maximum value must be less than the number of options: {$a}.';
$string['maxweek'] = 'Max week';
$string['maxwords'] = 'Max words';
$string['minchars'] = 'Min characters';
$string['minday'] = 'Min day';
$string['minfile'] = 'Min files';
$string['minfiles'] = 'Minimum number of files';
$string['minlength'] = 'Min';
$string['minmonth'] = 'Min month';
$string['minselection'] = 'Min selections';
$string['mintime'] = 'Min time';
$string['minutes'] = 'minutes';
$string['minvaluemustbelessthanmaxvalue'] = 'The minimum value must be less than the maximum value: {$a}.';
$string['minvaluemustbelessthanoption'] = 'The minimum value must be less than the number of options: {$a}.';
$string['minweek'] = 'Min week';
$string['minwords'] = 'Min words';
$string['month01'] = 'January';
$string['month02'] = 'February';
$string['month03'] = 'March';
$string['month04'] = 'April';
$string['month05'] = 'May';
$string['month06'] = 'June';
$string['month07'] = 'July';
$string['month08'] = 'August';
$string['month09'] = 'September';
$string['month10'] = 'October';
$string['month11'] = 'November';
$string['month12'] = 'December';
$string['monthfield'] = 'Month';
$string['monthmustbeafter'] = 'Month must be after or on {$a}';
$string['monthmustbebefore'] = 'Month must be before or on {$a}';
$string['months'] = 'months';
$string['multiple'] = 'Multiple responses';
$string['mustbegreaterthan'] = 'Must be greater than {$a}';
$string['mustenteratleastwords'] = 'You must enter at least {$a} words.';
$string['mustenterlessthanwords'] = 'You must enter no more than {$a} words.';
$string['noneoption'] = 'Not selected';
$string['options'] = 'Options';
$string['optionsfield_help'] = 'Enter one option per row. The checkbox indicates the default value. The first text box is the key, and the second is the display value.';
$string['optionsmustbeatleasttwo'] = 'You must enter at least two distinct options.';
$string['otheroption'] = 'Other';
$string['periods'] = 'periods';
$string['placeholder'] = 'Placeholder';
$string['pluginname'] = 'Form';
$string['privacy:metadata'] = 'The Form plugin doesn\'t store any personal data.';
$string['quarters'] = 'quarters';
$string['radiofield'] = 'Multiple choice';
$string['rangefield'] = 'Range';
$string['rangestep'] = 'Step';
$string['rangestep_help'] = 'Increment value for the range field (e.g. 1, 0.5, 0.1).';
$string['redo'] = 'Redo';
$string['regex'] = 'Regular expression';
$string['regexerror'] = 'Regex error message';
$string['regexerrortextfield_help'] = 'Error message to display when the regular expression validation fails.';
$string['regextextfield_help'] = 'Use a regular expression to validate/restrict the response format. Ex. ^\d+$ will only allow digits.';
$string['required'] = 'Required';
$string['responses'] = 'Responses';
$string['savechanges'] = 'Save changes';
$string['savechangesconfirm'] = 'You have some unsaved changes. Click "Save" to save them or "Cancel" to discard them.';
$string['seconds'] = 'seconds';
$string['sectioninsectionisnotsupported'] = 'A subsection is not supported at the moment.';
$string['selectfield'] = 'Dropdown';
$string['semesters'] = 'semesters';
$string['sessions'] = 'sessions';
$string['showexpanded'] = 'Show expanded by default';
$string['specifyresponse'] = 'Specify your response';
$string['terms'] = 'terms';
$string['text'] = 'Text';
$string['textareafield'] = 'Paragraph';
$string['textfield'] = 'Short text';
$string['time'] = 'Time';
$string['timefield'] = 'Time';
$string['timemustbeafter'] = 'Time must be after or at {$a}';
$string['timemustbebefore'] = 'Time must be before or at {$a}';
$string['undo'] = 'Undo';
$string['unset'] = 'Not set';
$string['useautocomplete'] = 'Use autocomplete';
$string['weekfield'] = 'Week';
$string['weekmustbeafter'] = 'Week must be after or at {$a}';
$string['weekmustbebefore'] = 'Week must be before or at {$a}';
$string['weeks'] = 'weeks';
$string['weekvalue'] = 'Week {$a}';
$string['years'] = 'years';
$string['youmustselectatleast'] = 'You must select at least {$a} options.';
$string['youmustselectatmost'] = 'You cannot select more than {$a} options.';
$string['youmustspecifyresponse'] = 'You must specify your response.';
$string['youmustuploadfilesatleast'] = 'You must upload at least {$a} files.';
