define("ivplugin_annotation/main",["exports","jquery","mod_interactivevideo/type/base","core/ajax","core/templates","core/event_dispatcher","core_form/modalform","core_filters/events","core/notification"],(function(_exports,_jquery,_base,_ajax,_templates,_event_dispatcher,_modalform,_events,_notification){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Main script for the annotation plugin
   *
   * @module     ivplugin_annotation/main
   * @copyright  2024 Sokunthearith Makara <sokunthearithmakara@gmail.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_jquery=_interopRequireDefault(_jquery),_base=_interopRequireDefault(_base),_ajax=_interopRequireDefault(_ajax),_templates=_interopRequireDefault(_templates),_modalform=_interopRequireDefault(_modalform),_notification=_interopRequireDefault(_notification);class Annotation extends _base.default{roundToTwo(num){return+(Math.round(num+"e+2")+"e-2")}async init(){const videoWrapper=(0,_jquery.default)("#video-wrapper");let item=this.annotations.find((annotation=>"annotation"==annotation.type));if(this.isEditMode()){if((0,_jquery.default)(document).on("timeupdate",(function(e){const t=e.originalEvent.detail.time;(0,_jquery.default)("#annotation-canvas .annotation-wrapper").each((function(){let start=Number((0,_jquery.default)(this).data("start")),end=Number((0,_jquery.default)(this).data("end"));t>=start&&t<=end?(0,_jquery.default)(this).css("visibility","visible"):(0,_jquery.default)(this).css("visibility","hidden")}))})),item){(0,_jquery.default)("#annotation-canvas").attr("data-id",item.id),item.editmode=!0;let content=await this.render(item,"json");this.postContentRender(item,content)}}else{if(!item||""==item.content)return;const updateAspectRatio=async(video,reset)=>{let elem=video?(0,_jquery.default)("#player"):(0,_jquery.default)("#annotation-canvas[data-id='".concat(item.id,"']"));if((0,_jquery.default)("#wrapper").hasClass("fullscreen")){let ratio=16/9;this.displayoptions.usefixedratio&&0!=this.displayoptions.usefixedratio||(ratio=this.player.aspectratio);let videowrapperaspect=videoWrapper.width()/videoWrapper.height(),gap="- 55px";(0,_jquery.default)("#wrapper").hasClass("no-videonav")&&(gap=""),videowrapperaspect>ratio?(elem.css("height","calc(100dvh ".concat(gap,")")),elem.css("width","calc((100dvh ".concat(gap,") * ").concat(ratio,")")),elem.css("top","0"),elem.css("left","calc((100dvw - (100dvh ".concat(gap,") * ").concat(ratio,") / 2)"))):videowrapperaspect<ratio&&(elem.css("width","100dvw"),elem.css("height","".concat(100/ratio,"dvw")),elem.css("top","calc((100dvh ".concat(gap," - 100dvw / ").concat(ratio,") / 2)")),elem.css("left","0"))}else elem.css("width","100%"),elem.css("height","100%"),elem.css("top","0"),elem.css("left","0");reset&&(elem.css("width","100%"),elem.css("height","100%"),elem.css("top","0"),elem.css("left","0"))};updateAspectRatio(),updateAspectRatio(!0);let vwrapper=document.querySelector("#video-wrapper");new ResizeObserver((()=>{updateAspectRatio(),updateAspectRatio(!0)})).observe(vwrapper),(0,_jquery.default)(document).on("timeupdate",(function(e){updateAspectRatio(!0,!0);const t=e.originalEvent.detail.time;(0,_jquery.default)("#annotation-canvas .annotation-wrapper").each((function(){let start=Number((0,_jquery.default)(this).data("start")),end=Number((0,_jquery.default)(this).data("end"));t>=start&&t<=end?(0,_jquery.default)(this).css("visibility","visible"):(0,_jquery.default)(this).css("visibility","hidden")}))})),(0,_jquery.default)("#annotation-canvas").attr("data-id",item.id);let content=await this.render(item,"json");this.postContentRender(item,content)}}async renderAnnotationToolbar(annotation){(0,_jquery.default)("#annotation-btns").remove();let annotationitems=[{icon:"bi bi-image",type:"media",mediatype:"image",label:M.util.get_string("image","ivplugin_annotation")},{icon:"bi bi-alphabet-uppercase",type:"textblock",mediatype:"textblock",label:M.util.get_string("text","ivplugin_annotation")},{icon:"bi bi-circle-square",type:"shape",mediatype:"shape",label:M.util.get_string("shape","ivplugin_annotation")},{icon:"bi bi-file-earmark-arrow-down",type:"media",mediatype:"file",label:M.util.get_string("inlinefile","ivplugin_annotation")},{icon:"bi bi-sign-turn-right",type:"navigation",mediatype:"navigation",label:M.util.get_string("navigation","ivplugin_annotation")},{icon:"bi bi-plus-circle",type:"hotspot",mediatype:"hotspot",label:M.util.get_string("hotspot","ivplugin_annotation")}];const dataForTemplate={id:annotation.id,items:annotationitems};let html=await _templates.default.render("ivplugin_annotation/toolbar",dataForTemplate);(0,_jquery.default)("#wrapper").append(html),this.enableColorPicker()}postContentRender(annotation,data){let self=this,$videoWrapper=(0,_jquery.default)("#annotation-canvas");self.isEditMode()&&$videoWrapper.append('<div id="background" class="position-absolute w-100 h-100 bg-transparent d-none"></div>');let $playerWrapper=(0,_jquery.default)("#wrapper"),draftStatus=null;const convertSecondsToMMSS=function(seconds){let rounded=arguments.length>1&&void 0!==arguments[1]&&arguments[1],hours=Math.floor(seconds/3600),minutes=Math.floor((seconds-3600*hours)/60),sec=seconds-3600*hours-60*minutes,formattedTime="";return hours>0&&(formattedTime+=hours+":"),minutes<10&&(formattedTime+="0"),formattedTime+=minutes+":",sec<10&&(formattedTime+="0"),formattedTime+=rounded?Math.round(sec):self.roundToTwo(sec),formattedTime},updatePositionInfo=elem=>{let w=elem.outerWidth(),hw=elem.outerHeight(),t=elem.position().top<0?0:elem.position().top,l=elem.position().left<0?0:elem.position().left,z=elem.css("z-index"),s=elem.data("start"),e=elem.data("end");(0,_jquery.default)("#annotation-btns #position #x-position").text(Math.round(l)),(0,_jquery.default)("#annotation-btns #position #y-position").text(Math.round(t)),(0,_jquery.default)("#annotation-btns #position #z-position").text(z-5),(0,_jquery.default)("#annotation-btns #position #w-position").text(Math.round(w)),(0,_jquery.default)("#annotation-btns #position #h-position").text(Math.round(hw)),(0,_jquery.default)("#annotation-btns #position #s-position").text(convertSecondsToMMSS(s)),(0,_jquery.default)("#annotation-btns #position #e-position").text(convertSecondsToMMSS(e))},recalculatingSize=elem=>{let message=(0,_jquery.default)("#annotation-canvas"),w=self.roundToTwo(elem.outerWidth())/message.width()*100,h=self.roundToTwo(elem.outerHeight())/message.height()*100,t=self.roundToTwo(elem.position().top)/message.height()*100;t=t<0?0:t;let l=self.roundToTwo(elem.position().left)/message.width()*100;l=l<0?0:l;let z=elem.css("z-index"),g=elem.data("group"),position={width:w+"%",height:h+"%",left:l+"%",top:t+"%","z-index":z};return position.group=g,elem.css(position),updatePositionInfo(elem),position},recalculatingTextSize=function(elem,button){let multiline=arguments.length>2&&void 0!==arguments[2]&&arguments[2],fontSize=elem.outerHeight(),padding=0,rowCount=1;if(multiline){if(rowCount=elem.find(".text-row").length,rowCount>1){padding=.3*(elem.outerHeight()/rowCount),fontSize=(elem.outerHeight()-2*padding)/rowCount}}let style={"font-size":(button?.7*fontSize:.9*fontSize)+"px","line-height":fontSize+"px","padding-left":(button?.5*fontSize:.3*fontSize)+"px","padding-right":(button?.5*fontSize:.3*fontSize)+"px"};multiline&&rowCount>1&&(style.padding=padding+"px"),elem.find(".annotation-content").css(style),elem.css("width","auto")},renderTimelineItems=async(elements,activeids)=>{const currentTime=await self.player.getCurrentTime();activeids=null===activeids?[]:activeids.map((id=>parseInt(id)));let timeline=(0,_jquery.default)("#timeline #annotation-timeline");timeline.empty(),elements.sort(((a,b)=>b.position["z-index"]-a.position["z-index"]));let count=0;elements.forEach(((item,i)=>{let prop=item.properties,type=item.type,id=parseInt(item.id),left=(prop.start-self.start)/(self.end-self.start)*100,width=(prop.end-prop.start)/(self.end-self.start)*100;if(timeline.append('<div class="annotation-timeline-item position-absolute '.concat(activeids.includes(id)?"active":"",'"\n                     data-item="').concat(id,'" data-type="').concat(type,'" data-end="').concat(prop.end,'" data-start="').concat(prop.start,'"\n                         style="z-index: 5; left: ').concat(left,"%; top: ").concat(10*(i+1),"px; width: ").concat(width,'%"></div>')),count++,count==elements.length)return(0,_jquery.default)(".annotation-timeline-item").draggable({axis:"x",containment:"#annotation-timeline",cursor:"move",grid:[1,0],start:function(){(0,_jquery.default)(this).hasClass("active")||(0,_jquery.default)(this).trigger("click");let $selected=(0,_jquery.default)(".annotation-timeline-item.active");$selected.addClass("no-pointer-events"),$selected.each((function(){(0,_jquery.default)(this).data("startPosition",(0,_jquery.default)(this).position())})),timestampScrollbar((0,_jquery.default)(this).data("start")),(0,_jquery.default)("#timeline-items").addClass("no-pointer-events")},drag:async function(e,ui){let timestamp=ui.position.left/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start,duration=(0,_jquery.default)(this).data("end")-(0,_jquery.default)(this).data("start");(0,_jquery.default)("#s-position").text(convertSecondsToMMSS(timestamp)),(0,_jquery.default)("#e-position").text(convertSecondsToMMSS(timestamp+duration));let now=await self.player.getCurrentTime(),$annowrapper=$videoWrapper.find('.annotation-wrapper[data-item="'.concat((0,_jquery.default)(this).data("item"),'"]'));timestamp<=now&&timestamp+duration>=now?$annowrapper.css("visibility","visible"):$annowrapper.css("visibility","hidden");let left=(timestamp-self.start)/self.totaltime*100;(0,_jquery.default)("#cursorbar").css("left","calc(".concat(left,"% + 5px)")),(0,_jquery.default)("#position-marker").css("left","".concat(left,"%")),(0,_jquery.default)("#vseek #bar #position").text(convertSecondsToMMSS(timestamp));let $selected=(0,_jquery.default)(".annotation-timeline-item.active");const distance=ui.originalPosition.left-ui.position.left;$selected.not(this).each((function(){let $this=(0,_jquery.default)(this);const position=$this.data("startPosition");$this.css({left:(position.left-distance)/(0,_jquery.default)("#annotation-timeline").width()*100+"%"});let timestamp=$this.position().left/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start,duration=$this.data("end")-$this.data("start"),$annowrapper=$videoWrapper.find('.annotation-wrapper[data-item="'.concat($this.data("item"),'"]'));timestamp<=now&&timestamp+duration>=now?$annowrapper.css("visibility","visible"):$annowrapper.css("visibility","hidden")}))},stop:function(){setTimeout((function(){(0,_jquery.default)("#cursorbar, #position-marker").remove(),(0,_jquery.default)("#timeline-items").removeClass("no-pointer-events"),(0,_jquery.default)(this).removeClass("no-pointer-events")}),200);let $selected=(0,_jquery.default)(".annotation-timeline-item.active");$selected.each((function(){let $this=(0,_jquery.default)(this),elementid=$this.data("item"),itemIndex=items.findIndex((x=>x.id==elementid)),item=items[itemIndex],elem=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(elementid,'"]')),prop=item.properties,duration=prop.end-prop.start;prop.start=$this.position().left/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start,prop.start=self.roundToTwo(prop.start),prop.end=prop.start+duration,elem.attr("data-start",prop.start),elem.attr("data-end",prop.end),$this.attr("data-start",prop.start),$this.attr("data-end",prop.end),item.properties=prop,items[itemIndex]=item})),$selected=$selected.map((function(){return(0,_jquery.default)(this).data("item")})).get(),saveTracking($selected),renderItems(items,$selected,!1)}}),(0,_jquery.default)(".annotation-timeline-item").resizable({handles:"e, w",containment:"parent",grid:[1,0],start:async function(){(0,_jquery.default)(this).hasClass("active")||(0,_jquery.default)(this).trigger("click");let $selected=(0,_jquery.default)(".annotation-timeline-item.active");$selected.addClass("no-pointer-events"),$selected.each((function(){(0,_jquery.default)(this).data("originalStart",(0,_jquery.default)(this).data("start")),(0,_jquery.default)(this).data("originalEnd",(0,_jquery.default)(this).data("end"))})),timestampScrollbar((0,_jquery.default)(this).data("start")),(0,_jquery.default)("#timeline-items").addClass("no-pointer-events")},resize:async function(e,ui){let timestamp=0;ui.originalPosition.left!=ui.position.left||ui.originalSize.width==ui.size.width?(ui.position.left<0&&(ui.position.left=0),timestamp=ui.position.left/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start):timestamp=(ui.position.left+ui.size.width)/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start;let left=(timestamp-self.start)/self.totaltime*100;(0,_jquery.default)("#cursorbar").css("left","calc(".concat(left,"% + 5px)")),(0,_jquery.default)("#position-marker").css("left","".concat(left,"%")),(0,_jquery.default)("#vseek #bar #position").text(convertSecondsToMMSS(timestamp));const newStart=ui.position.left/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start,newEnd=(ui.position.left+ui.size.width)/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start;(0,_jquery.default)("#s-position").text(convertSecondsToMMSS(newStart)),(0,_jquery.default)("#e-position").text(convertSecondsToMMSS(newEnd));let now=await self.player.getCurrentTime(),$annowrapper=$videoWrapper.find('.annotation-wrapper[data-item="'.concat((0,_jquery.default)(this).data("item"),'"]'));newStart<=now&&newEnd>=now?$annowrapper.css("visibility","visible"):$annowrapper.css("visibility","hidden");let leftPercentage=ui.position.left/(0,_jquery.default)("#annotation-timeline").width()*100,newWidth=ui.size.width/(0,_jquery.default)("#annotation-timeline").width()*100;(0,_jquery.default)(".annotation-timeline-item.active").not(this).each((function(){let $this=(0,_jquery.default)(this);$this.css({left:leftPercentage+"%",width:newWidth+"%"}),$this.attr("data-start",newStart),$this.attr("data-end",newEnd);let $annowrapper=$videoWrapper.find('.annotation-wrapper[data-item="'.concat($this.data("item"),'"]'));newStart<=now&&newEnd>=now?$annowrapper.css("visibility","visible"):$annowrapper.css("visibility","hidden")}))},stop:async function(e,ui){setTimeout((function(){(0,_jquery.default)("#cursorbar, #position-marker").remove(),(0,_jquery.default)("#timeline-items").removeClass("no-pointer-events")}),200);const newStart=ui.position.left/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start,newEnd=(ui.position.left+ui.size.width)/(0,_jquery.default)("#annotation-timeline").width()*self.totaltime+self.start;let $selected=(0,_jquery.default)(".annotation-timeline-item.active");$selected.each((function(){let $this=(0,_jquery.default)(this),elementid=$this.data("item"),itemIndex=items.findIndex((x=>x.id==elementid)),item=items[itemIndex],elem=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(elementid,'"]')),prop=item.properties;prop.start=self.roundToTwo(newStart),prop.end=self.roundToTwo(newEnd),elem.attr("data-start",prop.start),elem.attr("data-end",prop.end),$this.attr("data-start",prop.start),$this.attr("data-end",prop.end),item.properties=prop,items[itemIndex]=item})),$selected=$selected.map((function(){return(0,_jquery.default)(this).data("item")})).get(),saveTracking($selected),renderItems(items,$selected,!1)}}),(0,_event_dispatcher.dispatchEvent)("timeupdate",{time:currentTime}),!0}))},timestampScrollbar=seconds=>{const formattedTime=convertSecondsToMMSS(seconds);let $scrollbar=(0,_jquery.default)("#scrollbar").clone();$scrollbar.attr("id","cursorbar"),$scrollbar.find("#scrollhead").remove(),(0,_jquery.default)("#timeline-items").append($scrollbar),(0,_jquery.default)("#vseek #bar").append('<div id="position-marker" class="border-0">\n                <div id="position" class="py-0 px-1" style="top:-10px;">\n                '.concat(formattedTime,"</div></div>"))},renderItems=async(elements,actives,update)=>{const currentTime=await self.player.getCurrentTime();if(update||($videoWrapper.find(".annotation-wrapper").remove(),(0,_jquery.default)("#timeline #annotation-timeline").empty()),0==elements.length)actives&&actives.forEach((active=>{$videoWrapper.find('.annotation-wrapper[data-item="'.concat(active,'"]')).addClass("active"),setTimeout((function(){(0,_jquery.default)("#timeline #annotation-timeline").find('.annotation-timeline-item[data-item="'.concat(active,'"]')).addClass("active")}),200)}));else{elements.sort(((a,b)=>Number(b.position["z-index"])-Number(a.position["z-index"]))),(elements=elements.filter((item=>item.properties.start<=self.end&&item.properties.end>=self.start))).map((item=>{let start=item.properties.start,end=item.properties.end;return start<self.start&&(start=self.start),end>self.end&&(end=self.end),item.properties.start=start,item.properties.end=end,item}));let count=0;elements.forEach((async item=>{let prop=item.properties,type=item.type,id=item.id,position=item.position,wrapper=(0,_jquery.default)('<div class="annotation-wrapper" data-group="'.concat(position.group,'" data-start="').concat(prop.start,'"\n                     data-end="').concat(prop.end,'"  data-anno="').concat(annotation.id,'" data-item="').concat(id,'" data-type="').concat(type,'"></div>'));switch(("1"==prop.resizable||self.isEditMode())&&(wrapper.addClass("resizable"),wrapper.attr("tabindex",0)),type){case"image":((wrapper,item,prop,id,position)=>{const parts=prop.timestamp.split(":"),timestamp=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);""!=prop.gotourl?wrapper.append('<a href="'.concat(prop.gotourl,'" target="_blank"><img src="').concat(prop.url,'" id="').concat(id,'"\n                         class="annotation-content w-100 ').concat("1"==prop.shadow?"shadow":"",'"\n                         ').concat(1==prop.rounded?'style="border-radius:1em;"':"",' alt="').concat(prop.formattedalttext,'"/></a>')):wrapper.append('<img src="'.concat(prop.url,'" id="').concat(id,'"\n                             ').concat(timestamp>0?' data-timestamp="'+timestamp+'"':"",'\n                              class="annotation-content w-100 ').concat("1"==prop.shadow?"shadow":"","\n                              ").concat(timestamp>0?"cursor-pointer":"",'"\n                               ').concat(1==prop.rounded?'style="border-radius:1em;"':"",' alt="').concat(prop.formattedalttext,'"/>')),self.isEditMode()||(""==prop.gotourl&&0==timestamp?(wrapper.removeClass("resizable"),wrapper.addClass("no-pointer")):wrapper.addClass("clickable")),wrapper.css(position),wrapper.css("height","auto"),$videoWrapper.append(wrapper)})(wrapper,0,prop,id,position);break;case"file":((wrapper,item,prop,id,position)=>{let wrapperhtml='<a id="'.concat(id,'"\n                    class="btn ').concat(prop.style," ").concat("1"==prop.rounded?"btn-rounded":"rounded-0","\n                    annotation-content text-nowrap ").concat("1"==prop.shadow?"shadow":"",' rotatey-180" href="').concat(prop.url,'"\n                     target="_blank"><i class="bi bi-paperclip fs-unset"></i>').concat(""!=prop.formattedlabel?'<span style="margin-left:0.25em;">'.concat(prop.formattedlabel):"","</a>");wrapper.append('<div class="d-flex h-100">'.concat(wrapperhtml,"</div>")),position.width=0,wrapper.css(position),$videoWrapper.append(wrapper),recalculatingTextSize(wrapper,!0)})(wrapper,0,prop,id,position);break;case"navigation":((wrapper,item,prop,id,position)=>{const parts=prop.timestamp.split(":"),timestamp=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);wrapper.append('<div class="d-flex h-100"><span id="'.concat(id,'" tabindex="0"\n                         class="btn ').concat(prop.style," ").concat("1"==prop.rounded?"btn-rounded":"rounded-0","\n                          annotation-content text-nowrap ").concat("1"==prop.shadow?"shadow":"",'"\n                           data-timestamp="').concat(timestamp,'">').concat(prop.formattedlabel,"</span></div>")),position.width=0,wrapper.css(position),$videoWrapper.append(wrapper),recalculatingTextSize(wrapper,!0)})(wrapper,0,prop,id,position);break;case"text":((wrapper,item,prop,id,position)=>{null!=prop.url&&""!=prop.url?wrapper.append('<a id="'.concat(id,'"\n                     class="annotation-content text-nowrap ').concat("1"==prop.shadow?"text-shadow":"",' d-block"\n                      href="').concat(prop.url,'" target="_blank">').concat(prop.formattedlabel,"</a>")):(self.isEditMode()&&(0,_jquery.default)("#content-region").hasClass("no-pointer-events")||wrapper.addClass("no-pointer"),wrapper.append('<div id="'.concat(id,'"\n                     class="annotation-content text-nowrap ').concat("1"==prop.shadow?"text-shadow":"",'\n                     ">').concat(prop.formattedlabel,"</div>"))),wrapper.position.width=0,wrapper.css(position);const style={"font-weight":"1"==prop.bold?"bold":"normal","font-style":"1"==prop.italic?"italic":"normal","text-decoration":"1"==prop.underline?"underline":"none",color:prop.textcolor,background:prop.bgcolor,"border-width":prop.borderwidth,"border-color":prop.bordercolor,"border-style":"solid","font-family":""!=prop.textfont?prop.textfont:"inherit"};wrapper.find(".annotation-content").css(style),$videoWrapper.append(wrapper),recalculatingTextSize(wrapper)})(wrapper,0,prop,id,position);break;case"textblock":((wrapper,item,prop,id,position)=>{let textparts=prop.formattedlabel.split("\r\n"),textblock='<div class="d-flex flex-column">';textparts.forEach((part=>{""!=part.trim()&&(textblock+='<span class="text-row text-nowrap text-'.concat(prop.alignment,'"\n                         style="font-family: ').concat(""!=prop.textfont?prop.textfont:"inherit",'">').concat(part,"</span>"))})),textblock+="</div>",null!=prop.url&&""!=prop.url?(wrapper.append('<a id="'.concat(id,'"\n                             class="annotation-content d-block ').concat("1"==prop.shadow?"text-shadow":"",'"\n                              href="').concat(prop.url,'" target="_blank">').concat(textblock,"</a>")),wrapper.addClass("clickable")):(self.isEditMode()&&(0,_jquery.default)("#content-region").hasClass("no-pointer-events")||wrapper.addClass("no-pointer"),wrapper.append('<div id="'.concat(id,'"\n                             class="annotation-content ').concat("1"==prop.shadow?"text-shadow":"",'\n                             ">').concat(textblock,"</div>"))),wrapper.position.width=0,wrapper.css(position);const style={"font-size":item.position.fontSize,"line-height":item.position.lineHeight,"font-weight":"1"==prop.bold?"bold":"normal","font-style":"1"==prop.italic?"italic":"normal","text-decoration":"1"==prop.underline?"underline":"none",color:prop.textcolor,background:prop.bgcolor,"border-radius":"1"==prop.rounded?"0.3em":"0","border-width":prop.borderwidth,"border-color":prop.bordercolor,"border-style":"solid"};wrapper.find(".annotation-content").css(style),$videoWrapper.append(wrapper),recalculatingTextSize(wrapper,!1,!0)})(wrapper,item,prop,id,position);break;case"shape":((wrapper,item,prop,id,position)=>{const parts=prop.timestamp.split(":"),timestamp=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);""!=prop.gotourl?(wrapper.append('<a href="'.concat(prop.gotourl,'" target="_blank"><div id="').concat(id,'"\n                         class="annotation-content ').concat("1"==prop.shadow?"shadow":"",'"\n                          style="width: 100%; height: 100%;"></div></a>')),wrapper.addClass("clickable")):(self.isEditMode()||(0==timestamp?wrapper.addClass("no-pointer"):wrapper.addClass("clickable")),wrapper.append('<div id="'.concat(id,'" class="annotation-content ').concat("1"==prop.shadow?"shadow":"","\n                             ").concat(timestamp>0?"cursor-pointer":"",'"\n                         ').concat(timestamp>0?'data-timestamp="'+timestamp+'"':"",'\n                         style="width: 100%; height: 100%;"></div>'))),wrapper.css(position);const style={background:prop.bgcolor,"border-width":prop.borderwidth,"border-color":prop.bordercolor,"border-style":"solid",opacity:prop.opacity/100};"circle"==prop.shape?style["border-radius"]="50%":"rectangle"==prop.shape&&(style["border-radius"]="1"==prop.rounded?"1em":"0"),wrapper.find(".annotation-content").css(style),$videoWrapper.append(wrapper)})(wrapper,0,prop,id,position);break;case"hotspot":((wrapper,item,prop,id,position)=>{wrapper.append('<div id="'.concat(id,'" class="annotation-content shadow-sm pulse" role="button"></div>')),position["aspect-ratio"]="1",wrapper.css(position);const style={"background-color":prop.color,opacity:prop.opacity/100,"border-radius":"50%","aspect-ratio":"1"};wrapper.find(".annotation-content").css(style),$videoWrapper.append(wrapper),self.isEditMode()||("1"==prop.usemodal?wrapper.attr({"data-toggle":"modal"}):(wrapper.attr({tabindex:-1,"data-trigger":"manual","data-boundary":"viewport","data-placement":"auto","data-html":"true","data-content":'<div class="loader"></div>',"data-title":prop.formattedtitle+'<i class="bi bi-x-circle-fill ml-auto popover-dismiss cursor-pointer"\n                                     style="font-size:1.5em;"></i>'}),wrapper.popover({container:"#wrapper",html:!0,template:'<div class="popover inlineannotation-popover id-'.concat(id,'"\n                                 role="tooltip"><div class="arrow"></div>\n                                 <h3 class="popover-header d-flex justify-content-between"></h3>\n                                 <div class="popover-body rounded"></div>').concat(""!=prop.url?'<div class="popup-footer bg-light p-2 rounded-bottom"><a href="'.concat(prop.url,'"\n                                      class="d-block w-100 text-right rotatex-360" target="_blank">\n                                      <i class="bi bi-arrow-right"><i></i></i></a></div>'):"","</div>")}),wrapper.on("shown.bs.popover",(async function(){let $body=(0,_jquery.default)(".popover.id-".concat(id," .popover-body"));const html=await self.formatContent(prop.content.text,annotation.contextid);$body.html(html),(0,_events.notifyFilterContentUpdated)($body),wrapper.popover("update")})),"1"==prop.openbydefault&&wrapper.popover("show")))})(wrapper,0,prop,id,position)}"shape"!=type&&wrapper.on("mouseover",(function(){if(!(0,_jquery.default)(this).hasClass("resizable"))return;let aspectRatio=(0,_jquery.default)(this).find(".annotation-content").width()/(0,_jquery.default)(this).find(".annotation-content").height();wrapper.width()/wrapper.height()!=aspectRatio&&"image"==type&&(0,_jquery.default)(this).height(wrapper.width()/aspectRatio);try{(0,_jquery.default)(this).resizable("option","aspectRatio",(0,_jquery.default)(this).find(".annotation-content").outerWidth()/(0,_jquery.default)(this).find(".annotation-content").outerHeight())}catch(e){}})),count++,count==elements.length&&((0,_event_dispatcher.dispatchEvent)("timeupdate",{time:self.roundToTwo(currentTime)}),self.isEditMode()&&(0==(0,_jquery.default)("#annotation-btns").is(":visible")&&$videoWrapper.find(".annotation-wrapper").addClass("no-pointer"),$videoWrapper.find(".annotation-wrapper").draggable({containment:"#annotation-canvas",cursor:"move",grid:[1,1],handle:".annotation-content",start:function(){getItems(!1),(0,_jquery.default)(this).hasClass("active")||(0,_jquery.default)(this).trigger("click");let $selected=$videoWrapper.find(".annotation-wrapper.active");$selected.addClass("no-pointer"),$selected.each((function(){(0,_jquery.default)(this).data("startPosition",(0,_jquery.default)(this).position())}))},drag:function(event,ui){let $selected=$videoWrapper.find(".annotation-wrapper.active"),left=ui.originalPosition.left-ui.position.left,top=ui.originalPosition.top-ui.position.top,positions=$selected.map((function(){return{id:(0,_jquery.default)(this).data("item"),left:(0,_jquery.default)(this).position().left,top:(0,_jquery.default)(this).position().top,bottom:(0,_jquery.default)(this).position().top+(0,_jquery.default)(this).height(),right:(0,_jquery.default)(this).position().left+(0,_jquery.default)(this).width()}})).get();if(positions.find((x=>x.left<0))){positions.sort(((a,b)=>a.left-b.left));let id=positions.find((x=>x.left<0)).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("left",0);let distance=target.data("startPosition").left;ui.position.left=ui.originalPosition.left-distance,left=ui.originalPosition.left-ui.position.left}if(positions.find((x=>x.top<0))){positions.sort(((a,b)=>a.top-b.top));let id=positions.find((x=>x.top<0)).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("top",0);let distance=target.data("startPosition").top;ui.position.top=ui.originalPosition.top-distance,top=ui.originalPosition.top-ui.position.top}if(positions.find((x=>x.right>(0,_jquery.default)("#annotation-canvas").width()))){positions.sort(((a,b)=>a.right-b.right));let id=positions.find((x=>x.right>(0,_jquery.default)("#annotation-canvas").width())).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("left",(0,_jquery.default)("#annotation-canvas").width()-target.width()-1+"px");let distance=target.data("startPosition").left-target.position().left;ui.position.left=ui.originalPosition.left-distance,left=ui.originalPosition.left-ui.position.left}if(positions.find((x=>x.bottom>(0,_jquery.default)("#annotation-canvas").height()))){positions.sort(((a,b)=>a.bottom-b.bottom));let id=positions.find((x=>x.bottom>(0,_jquery.default)("#annotation-canvas").height())).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("top",(0,_jquery.default)("#annotation-canvas").height()-target.height()-1+"px");let distance=target.data("startPosition").top-target.position().top;ui.position.top=ui.originalPosition.top-distance,top=ui.originalPosition.top-ui.position.top}$selected.not(this).each((function(){let $this=(0,_jquery.default)(this),position=$this.data("startPosition");$this.css({left:position.left-left+"px",top:position.top-top+"px"})})),updatePositionInfo((0,_jquery.default)(this))},stop:function(){let $selected=$videoWrapper.find(".annotation-wrapper.active"),positions=$selected.map((function(){return{id:(0,_jquery.default)(this).data("item"),left:(0,_jquery.default)(this).position().left,top:(0,_jquery.default)(this).position().top,bottom:(0,_jquery.default)(this).position().top+(0,_jquery.default)(this).height(),right:(0,_jquery.default)(this).position().left+(0,_jquery.default)(this).width()}})).get();if(positions.find((x=>x.left<0))){positions.sort(((a,b)=>a.left-b.left));let id=positions.find((x=>x.left<0)).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("left",0);let distance=target.data("startPosition").left;$selected.each((function(){let $this=(0,_jquery.default)(this),newLeft=$this.data("startPosition").left-distance;$this.css("left",newLeft+"px")}))}if(positions.find((x=>x.top<0))){positions.sort(((a,b)=>a.top-b.top));let id=positions.find((x=>x.top<0)).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("top",0);let distance=target.data("startPosition").top;$selected.each((function(){let $this=(0,_jquery.default)(this),newTop=$this.data("startPosition").top-distance;$this.css("top",newTop+"px")}))}if(positions.find((x=>x.right>(0,_jquery.default)("#annotation-canvas").width()))){positions.sort(((a,b)=>a.right-b.right));let id=positions.find((x=>x.right>(0,_jquery.default)("#annotation-canvas").width())).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("left",(0,_jquery.default)("#annotation-canvas").width()-target.width()-1+"px");let distance=target.data("startPosition").left-target.position().left;$selected.each((function(){let $this=(0,_jquery.default)(this),newLeft=$this.data("startPosition").left-distance;$this.css("left",newLeft+"px")}))}if(positions.find((x=>x.bottom>(0,_jquery.default)("#annotation-canvas").height()))){positions.sort(((a,b)=>a.bottom-b.bottom));let id=positions.find((x=>x.bottom>(0,_jquery.default)("#annotation-canvas").height())).id,target=$videoWrapper.find('.annotation-wrapper[data-item="'.concat(id,'"]'));target.css("top",(0,_jquery.default)("#annotation-canvas").height()-target.height()-1+"px");let distance=target.data("startPosition").top-target.position().top;$selected.each((function(){let $this=(0,_jquery.default)(this),newTop=$this.data("startPosition").top-distance;$this.css("top",newTop+"px")}))}getItems(!1),$selected=$selected.map((function(){return(0,_jquery.default)(this).data("item")})).get(),saveTracking($selected),1==$selected.length&&(0,_jquery.default)(this).trigger("click"),$videoWrapper.find(".annotation-wrapper").removeClass("no-pointer")}}),$videoWrapper.find(".annotation-wrapper").resizable({containment:"#annotation-canvas",handles:"all",grid:[1,1],minHeight:1,minWidth:1,resize:function(event){let type=(0,_jquery.default)(this).data("type");"file"==type||"navigation"==type||"textblock"==type?recalculatingTextSize((0,_jquery.default)(this),"textblock"!=type,"textblock"==type):"shape"==type&&event.ctrlKey&&(0,_jquery.default)(this).resizable("option","aspectRatio",1),updatePositionInfo((0,_jquery.default)(this))},stop:function(){let type=(0,_jquery.default)(this).data("type");"file"==type||"navigation"==type||"textblock"==type?recalculatingTextSize((0,_jquery.default)(this),"textblock"!=type,"textblock"==type):"shape"==type&&(0,_jquery.default)(this).resizable("option","aspectRatio",!1),recalculatingSize((0,_jquery.default)(this)),getItems(!1),saveTracking([(0,_jquery.default)(this).data("item")]),(0,_jquery.default)(this).trigger("click")}}),await renderTimelineItems(elements,actives),(0,_event_dispatcher.dispatchEvent)("timeupdate",{time:self.roundToTwo(currentTime)}))),actives&&actives.includes(id)&&(wrapper.addClass("active"),1==actives.length&&setTimeout((function(){wrapper.trigger("mouseover"),wrapper.trigger("click")}),500))})),self.isEditMode()||($videoWrapper.off("click",".annotation-wrapper").on("click",".annotation-wrapper",(function(e){e.stopImmediatePropagation();let wrapper=(0,_jquery.default)(this);switch(wrapper.data("type")){case"navigation":case"image":case"shape":var navigation=wrapper.find(".annotation-content");self.isBetweenStartAndEnd(navigation.data("timestamp"))&&(self.player.seek(navigation.data("timestamp")),self.player.play());break;case"hotspot":self.player.pause();var hotspotid=wrapper.data("item"),hotspot=items.find((x=>x.id==hotspotid));if("modal"==wrapper.data("toggle")){let title=hotspot.properties.formattedtitle,content=hotspot.properties.content.text,url=hotspot.properties.url,modal='<div class="modal fade" id="annotation-modal" role="dialog"\n                                aria-labelledby="annotation-modal"\n                             aria-hidden="true" data-backdrop="static" data-keyboard="false">\n                             <div class="modal-dialog modal-xl modal-dialog-centered modal-dialog-scrollable" role="document">\n                                <div class="modal-content rounded-lg">\n                                    <div class="modal-header d-flex align-items-center shadow-sm pr-0" id="title">\n                                        <h5 class="modal-title text-truncate mb-0">'.concat(title,'</h5>\n                                        <button class="btn mx-2 p-0 close" aria-label="Close" data-dismiss="modal">\n                                            <i class="bi bi-x-lg fa-fw" style="font-size: x-large;"></i>\n                                        </button>\n                                    </div>\n                                    <div class="modal-body" id="content">\n                                    <div class="loader"></div>\n                                    </div>\n                                    ').concat(""!=url?'<div class="modal-footer bg-light p-2 rounded-bottom">\n                                        <a href="'.concat(url,'" class="d-block w-100 text-right rotatex-360" target="_blank">\n                                        <i class="bi bi-arrow-right"><i></i></i></a></div>'):"","\n                                    </div>\n                                </div>\n                                </div>");(0,_jquery.default)("#wrapper").append(modal),(0,_jquery.default)("#annotation-modal").modal("show"),(0,_jquery.default)("#annotation-modal").on("hide.bs.modal",(function(){(0,_jquery.default)("#annotation-modal").remove()})),(0,_jquery.default)("#annotation-modal").on("shown.bs.modal",(async function(){(0,_jquery.default)("#annotation-modal .modal-body").fadeIn(300);let $body=(0,_jquery.default)("#annotation-modal .modal-body");const html=await self.formatContent(content,annotation.contextid);$body.html(html),(0,_events.notifyFilterContentUpdated)($body)}))}else wrapper.popover("show")}})),$playerWrapper.off("click",".popover-dismiss").on("click",".popover-dismiss",(function(e){e.stopImmediatePropagation(),(0,_jquery.default)(this).closest(".popover").remove()})))}};let vwrapper=document.querySelector("#video-wrapper");new ResizeObserver((()=>{let existingwrapper=(0,_jquery.default)("#annotation-canvas").find(".annotation-wrapper");0!=existingwrapper.length&&(existingwrapper.each((function(){let type=(0,_jquery.default)(this).data("type");setTimeout((()=>{"file"!=type&&"navigation"!=type&&"textblock"!=type||recalculatingTextSize((0,_jquery.default)(this),"textblock"!=type,"textblock"==type)}),100)})),(0,_jquery.default)("#annotation-canvas").css("font-size",(0,_jquery.default)("#annotation-canvas").width()/75+"px"))})).observe(vwrapper);let items=[],tracking=[],trackingIndex=0;""!=data.items&&null!==data.items&&(items=JSON.parse(data.items),tracking.push({items:JSON.stringify(items),actives:null,timestamp:self.start}));let draftitemid=data.draftitemid;if(renderItems(items,null,!1),!self.isEditMode())return;const saveTracking=actives=>{trackingIndex<tracking.length-1&&(tracking=tracking.slice(0,trackingIndex+1)),tracking.push({items:JSON.stringify(items),actives:actives,timestamp:self.player.getCurrentTime(),at:(new Date).getTime()}),tracking.sort(((a,b)=>a.at-b.at)),trackingIndex=tracking.length-1,(0,_jquery.default)("#annotation-btns #undo").removeAttr("disabled"),(0,_jquery.default)("#annotation-btns #redo").attr("disabled","disabled"),1==tracking.length&&(0,_jquery.default)("#annotation-btns #undo").attr("disabled","disabled")},sortItemsByLayer=(ids,order)=>{ids=ids.map((x=>x.toString()));let targetItems=items.filter((item=>{const id=item.id.toString();return ids.includes(id)}));return"desc"==order?targetItems.sort(((a,b)=>b.position["z-index"]-a.position["z-index"])):targetItems.sort(((a,b)=>a.position["z-index"]-b.position["z-index"])),targetItems.map((item=>item.id))},getTopLayer=itms=>{if(0==itms.length)return 5;let ids=itms.map((item=>item.id)),sorted=sortItemsByLayer(ids,"desc"),zindex=itms.find((item=>item.id==sorted[0])).position["z-index"];return Number(zindex)},getItems=updateid=>{let newItems=[];$videoWrapper.find(".annotation-wrapper").each((function(index,element){const id=(0,_jquery.default)(element).data("item");let item={type:(0,_jquery.default)(element).data("type"),position:recalculatingSize((0,_jquery.default)(element))};item.id=id,item.properties=items.find((x=>x.id==id)).properties,updateid&&(item.id=(new Date).getTime()+index,(0,_jquery.default)(element).attr("data-item",item.id)),newItems.push(item)})),items=newItems,draftStatus="draft"},handleFormData=(newItem,type,add)=>{switch(type){case"file":add&&(newItem.position.height="40px",newItem.position.width="130px");break;case"textblock":add&&(newItem.position.fontSize="16px",newItem.position.lineHeight="20px");break;case"shape":add&&(newItem.position.height="100px",newItem.position.width="100px");break;case"image":newItem.position.height="auto";break;case"hotspot":add&&(newItem.position.width="5%")}items.push(newItem),saveTracking([newItem.id]),renderItems(items,[newItem.id],!1)};(0,_jquery.default)(document).off("click",".annotation-timeline-item").on("click",".annotation-timeline-item",(function(e){if(e.preventDefault(),e.stopImmediatePropagation(),$videoWrapper.find(".annotation-wrapper").removeClass("active"),e.ctrlKey||e.metaKey)(0,_jquery.default)(this).hasClass("active")?(0,_jquery.default)(this).removeClass("active"):(0,_jquery.default)(this).addClass("active");else{let elementid=(0,_jquery.default)(this).data("item");$videoWrapper.find('.annotation-wrapper[data-item="'.concat(elementid,'"]')).trigger("click")}let activeitems=(0,_jquery.default)(".annotation-timeline-item.active");if(0==activeitems.length)(0,_jquery.default)("#annotation-canvas #background").addClass("d-none").css("z-index",0),(0,_jquery.default)("#edit-btns").attr("data-active","").addClass("d-none").removeClass("d-flex"),(0,_jquery.default)("#annotation-btns #edit").attr("disabled","disabled"),(0,_jquery.default)("#annotation-btns #edit").removeAttr("disabled");else{let dataActive=activeitems.map((function(){return(0,_jquery.default)(this).data("item")})).get();dataActive.forEach((id=>{$videoWrapper.find(".annotation-wrapper[data-item=".concat(id,"]")).addClass("active")}));let activewrapper=$videoWrapper.find(".annotation-wrapper.active");document.querySelector(".annotation-wrapper.active").focus(),(0,_jquery.default)("#edit-btns").attr("data-active",dataActive).addClass("d-flex").removeClass("d-none"),activewrapper.length>1?((0,_jquery.default)("#annotation-btns #edit").attr("disabled","disabled"),(0,_jquery.default)("#annotation-btns #position").addClass("d-none")):((0,_jquery.default)("#annotation-btns #edit").removeAttr("disabled"),(0,_jquery.default)("#annotation-btns #position").removeClass("d-none")),(0,_jquery.default)("#annotation-canvas #background").removeClass("d-none").css("z-index",3)}})),(0,_jquery.default)(document).off("dblclick",".annotation-timeline-item").on("dblclick",".annotation-timeline-item",(function(e){e.preventDefault(),e.stopImmediatePropagation(),self.player.seek((0,_jquery.default)(this).data("start")),(0,_event_dispatcher.dispatchEvent)("timeupdate",{time:(0,_jquery.default)(this).data("start")})})),$playerWrapper.off("click","#annotation-btns #save").on("click","#annotation-btns #save",(function(e){e.stopImmediatePropagation(),getItems(!1);let cleanItems=JSON.stringify(items).replace(/</g,"&lt;").replace(/>/g,"&gt;"),updateId=$videoWrapper.data("id");_jquery.default.ajax({url:M.cfg.wwwroot+"/mod/interactivevideo/ajax.php",method:"POST",dataType:"text",data:{action:"quickeditfield",sesskey:M.cfg.sesskey,id:updateId,field:"content",contextid:M.cfg.contextid,draftitemid:draftitemid,value:cleanItems,cmid:self.cmid,token:self.token},success:function(data){let updated=JSON.parse(data);draftStatus=null,tracking=[],(0,_jquery.default)("#annotation-btns #redo, #annotation-btns #undo").attr("disabled","disabled"),(0,_event_dispatcher.dispatchEvent)("annotationupdated",{annotation:updated,action:"edit"})}}),(0,_jquery.default)("#annotation-canvas #background").trigger("click")})),(0,_jquery.default)(document).off("click","#annotation-btns #closetoolbar").on("click","#annotation-btns #closetoolbar",(function(e){e.stopImmediatePropagation(),"draft"==draftStatus?_notification.default.saveCancel(M.util.get_string("unsavedchange","ivplugin_annotation"),M.util.get_string("unsavedchangeconfirm","ivplugin_annotation"),M.util.get_string("save","ivplugin_annotation"),(function(){(0,_jquery.default)("#annotation-btns #save").trigger("click"),(0,_jquery.default)("#annotation-btns #closetoolbar").trigger("click")}),(function(){let instance=tracking[0];items=instance.items,renderItems(items,instance.actives,!1),draftStatus=null,tracking=[],(0,_jquery.default)("#annotation-btns #redo, #annotation-btns #undo").attr("disabled","disabled"),(0,_jquery.default)("#annotation-btns #closetoolbar").trigger("click")})):((0,_jquery.default)("#annotation-btns").remove(),(0,_jquery.default)("#interaction-timeline, #video-timeline-wrapper").show(),(0,_jquery.default)("#timeline-btns div:not(#playbutton)").css("visibility","visible"),(0,_jquery.default)("#content-region").removeClass("no-pointer-events"),(0,_jquery.default)("#annotation-timeline").hide(),(0,_jquery.default)("#scrollbar").addClass("snap"),(0,_jquery.default)("#annotation-canvas .annotation-wrapper").addClass("no-pointer").removeClass("active"))})),$playerWrapper.off("click","#annotation-btns .add-ia").on("click","#annotation-btns .add-ia",(async function(e){e.preventDefault(),e.stopImmediatePropagation();let annoid=$videoWrapper.data("id"),type=(0,_jquery.default)(this).attr("data-mediatype"),start=await self.player.getCurrentTime(),end=start+5;start=parseFloat(start).toFixed(2),end=parseFloat(end).toFixed(2);let iaform=new _modalform.default({formClass:"ivplugin_annotation\\items\\"+(0,_jquery.default)(this).attr("data-type"),args:{contextid:M.cfg.contextid,id:0,type:type,annotationid:annoid,start:start,end:end},modalConfig:{title:M.util.get_string("addinlineannotation","ivplugin_annotation",M.util.get_string(type,"ivplugin_annotation"))}});iaform.show(),iaform.addEventListener(iaform.events.LOADED,(()=>{iaform.modal.modal.draggable({handle:".modal-header"}),"navigation"!=type&&"image"!=type&&"shape"!=type||(0,_jquery.default)(document).on("change",'.modal [name="timestamp"]',(function(e){e.preventDefault();let parts=(0,_jquery.default)(this).val().split(":"),timestamp=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);if(!self.isBetweenStartAndEnd(timestamp)){let message=M.util.get_string("timemustbebetweenstartandendtime","ivplugin_annotation",{start:self.convertSecondsToHMS(self.start),end:self.convertSecondsToHMS(self.end)});return self.addNotification(message),void(0,_jquery.default)(this).val((0,_jquery.default)(this).attr("data-initial-value"))}if(self.isInSkipSegment(timestamp))return self.addNotification(M.util.get_string("interactionisbetweentheskipsegment","ivplugin_annotation")),void(0,_jquery.default)(this).val((0,_jquery.default)(this).attr("data-initial-value"))}))})),iaform.addEventListener(iaform.events.FORM_SUBMITTED,(e=>{e.stopImmediatePropagation(),getItems(!1);const highestOrder=getTopLayer(items);let left=100*Math.random(),top=100*Math.random(),newItem={id:(new Date).getTime(),type:type,position:{width:"30%",left:left+"px",top:top+"px","z-index":highestOrder+1},properties:e.detail};handleFormData(newItem,type,!0)}))})),$playerWrapper.off("click","#annotation-btns #edit").on("click","#annotation-btns #edit",(function(e){e.preventDefault(),e.stopImmediatePropagation();let annnoid=$videoWrapper.data("id"),active=(0,_jquery.default)("#edit-btns").attr("data-active");getItems(!1);let item=items.find((x=>x.id==active)),type=item.type,formdata=JSON.parse(JSON.stringify(item.properties));formdata.contextid=M.cfg.contextid,formdata.id=item.id,formdata.annotationid=annnoid,formdata.type=type;let editform=new _modalform.default({formClass:"ivplugin_annotation\\items\\"+("image"==type||"file"==type?"media":type),args:formdata,modalConfig:{title:M.util.get_string("editinlineannotation","ivplugin_annotation",M.util.get_string(type,"ivplugin_annotation"))}});editform.show(),editform.addEventListener(editform.events.LOADED,(()=>{editform.modal.modal.draggable({handle:".modal-header"}),"navigation"!=type&&"image"!=type&&"shape"!=type||(0,_jquery.default)(document).on("change",'.modal [name="timestamp"]',(function(e){e.preventDefault();let parts=(0,_jquery.default)(this).val().split(":"),timestamp=3600*Number(parts[0])+60*Number(parts[1])+Number(parts[2]);if(!self.isBetweenStartAndEnd(timestamp)){let message=M.util.get_string("timemustbebetweenstartandendtime","mod_interactivevideo",{start:self.convertSecondsToHMS(self.start),end:self.convertSecondsToHMS(self.end)});return self.addNotification(message),void(0,_jquery.default)(this).val((0,_jquery.default)(this).attr("data-initial-value"))}if(self.isInSkipSegment(timestamp))return self.addNotification(M.util.get_string("interactionisbetweentheskipsegment","mod_interactivevideo")),void(0,_jquery.default)(this).val((0,_jquery.default)(this).attr("data-initial-value"))}))})),editform.addEventListener(editform.events.FORM_SUBMITTED,(e=>{e.stopImmediatePropagation(),getItems(!1),item=items.find((x=>x.id==active)),item.properties=e.detail,$videoWrapper.find('.annotation-wrapper[data-item="'.concat(active,'"]')).remove(),items=items.filter((x=>x.id!=active)),handleFormData(item,type,!1)}))})),$videoWrapper.off("click",".annotation-wrapper").on("click",".annotation-wrapper",(function(e){if(e.preventDefault(),e.stopImmediatePropagation(),self.player.pause(),e.ctrlKey||e.metaKey?(0,_jquery.default)(this).hasClass("active")?(0,_jquery.default)(this).removeClass("active"):((0,_jquery.default)(this).addClass("active"),this.focus()):($videoWrapper.find(".annotation-wrapper").removeClass("active"),(0,_jquery.default)(this).addClass("active"),this.focus(),recalculatingSize((0,_jquery.default)(this))),!isNaN((0,_jquery.default)(this).data("group"))){let group=(0,_jquery.default)(this).data("group");$videoWrapper.find('.annotation-wrapper[data-group="'.concat(group,'"]')).addClass("active")}recalculatingSize((0,_jquery.default)(this)),(0,_jquery.default)("#timeline #annotation-timeline .annotation-timeline-item").removeClass("active");let activewrapper=$videoWrapper.find(".annotation-wrapper.active");if(0==activewrapper.length)(0,_jquery.default)("#annotation-canvas #background").addClass("d-none").css("z-index",0),(0,_jquery.default)("#edit-btns").attr("data-active","").addClass("d-none").removeClass("d-flex"),(0,_jquery.default)("#annotation-btns #edit").attr("disabled","disabled"),(0,_jquery.default)("#annotation-btns #edit").removeAttr("disabled");else{let dataActive=activewrapper.map((function(){return(0,_jquery.default)(this).data("item")})).get();dataActive.forEach((id=>{(0,_jquery.default)('#timeline #annotation-timeline .annotation-timeline-item[data-item="'.concat(id,'"]')).addClass("active")})),(0,_jquery.default)("#edit-btns").attr("data-active",dataActive).addClass("d-flex").removeClass("d-none"),activewrapper.length>1?((0,_jquery.default)("#annotation-btns #edit").attr("disabled","disabled"),(0,_jquery.default)("#edit-btns #position").addClass("d-none")):((0,_jquery.default)("#annotation-btns #edit").removeAttr("disabled"),(0,_jquery.default)("#edit-btns #position").removeClass("d-none")),(0,_jquery.default)("#annotation-canvas #background").removeClass("d-none").css("z-index",1)}let grouping=activewrapper.map((function(){return isNaN((0,_jquery.default)(this).data("group"))||""==(0,_jquery.default)(this).data("group")?"":(0,_jquery.default)(this).data("group")})).get();grouping=[...new Set(grouping)],activewrapper.length<2?(0,_jquery.default)("#annotation-btns #ungroup, #annotation-btns #group").attr("disabled","disabled").addClass("d-none"):1==grouping.length?isNaN(grouping[0])||""==grouping[0]?((0,_jquery.default)("#annotation-btns #ungroup").attr("disabled","disabled").addClass("d-none"),(0,_jquery.default)("#annotation-btns #group").removeAttr("disabled").removeClass("d-none")):((0,_jquery.default)("#annotation-btns #ungroup").removeAttr("disabled").removeClass("d-none"),(0,_jquery.default)("#annotation-btns #group").attr("disabled","disabled").addClass("d-none")):grouping.length>1&&(0,_jquery.default)("#annotation-btns #ungroup, #annotation-btns #group").removeAttr("disabled").removeClass("d-none")})),$videoWrapper.off("dblclick",".annotation-wrapper").on("dblclick",".annotation-wrapper",(function(e){e.preventDefault(),e.stopImmediatePropagation(),(0,_jquery.default)(this).trigger("click"),(0,_jquery.default)("#annotation-btns #edit").trigger("click")})),(0,_jquery.default)(document).off("click","#annotation-canvas #background").on("click","#annotation-canvas #background",(function(e){e.preventDefault(),e.stopImmediatePropagation(),(0,_jquery.default)("#annotation-canvas .annotation-wrapper").removeClass("active"),(0,_jquery.default)("#edit-btns").attr("data-active","").addClass("d-none").removeClass("d-flex"),(0,_jquery.default)("#timeline #annotation-timeline .annotation-timeline-item").removeClass("active"),(0,_jquery.default)("#annotation-canvas #background").addClass("d-none").css("z-index",0)})),(0,_jquery.default)(document).off("click","#annotation-btns #undo").on("click","#annotation-btns #undo",(async function(e){if(e.preventDefault(),e.stopImmediatePropagation(),0==trackingIndex)return;trackingIndex--;const instance=tracking[trackingIndex];items=JSON.parse(instance.items),renderItems(items,instance.actives,!1),self.player.seek(instance.timestamp),0==trackingIndex?((0,_jquery.default)("#annotation-btns #undo").attr("disabled","disabled"),(0,_jquery.default)("#annotation-btns #redo").removeAttr("disabled")):((0,_jquery.default)("#annotation-btns #undo").removeAttr("disabled"),trackingIndex==tracking.length-1?(0,_jquery.default)("#annotation-btns #redo").attr("disabled","disabled"):(0,_jquery.default)("#annotation-btns #redo").removeAttr("disabled"))})),(0,_jquery.default)(document).off("click","#annotation-btns #redo").on("click","#annotation-btns #redo",(async function(e){if(e.preventDefault(),e.stopImmediatePropagation(),trackingIndex==tracking.length-1)return;trackingIndex++;const instance=tracking[trackingIndex];items=JSON.parse(instance.items),renderItems(items,instance.actives,!1),self.player.seek(instance.timestamp),trackingIndex==tracking.length-1?((0,_jquery.default)("#annotation-btns #redo").attr("disabled","disabled"),(0,_jquery.default)("#annotation-btns #undo").removeAttr("disabled")):((0,_jquery.default)("#annotation-btns #redo").removeAttr("disabled"),0==trackingIndex?(0,_jquery.default)("#annotation-btns #undo").attr("disabled","disabled"):(0,_jquery.default)("#annotation-btns #undo").removeAttr("disabled"))}));const updateOrder=(active,direction)=>{getItems(!1),items.sort(((a,b)=>b.position["z-index"]-a.position["z-index"]));let activeIndex=items.findIndex((x=>x.id==active)),activeItem=items[activeIndex],currentzIndex=activeItem.position["z-index"],affectedItem=null,affectedItemIndex=null;if("up"==direction){if(0==activeIndex)return;affectedItemIndex=activeIndex-1,affectedItem=items[affectedItemIndex],activeItem.position["z-index"]=affectedItem.position["z-index"],affectedItem.position["z-index"]=currentzIndex}else{if(activeIndex==items.length-1)return;affectedItemIndex=activeIndex+1,affectedItem=items[affectedItemIndex],activeItem.position["z-index"]=affectedItem.position["z-index"],affectedItem.position["z-index"]=currentzIndex}items[activeIndex]=activeItem,items[affectedItemIndex]=affectedItem,(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(active,'"]')).css(activeItem.position),(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(affectedItem.id,'"]')).css(affectedItem.position),saveTracking([active])};(0,_jquery.default)(document).off("click","#annotation-btns #group").on("click","#annotation-btns #group",(function(e){e.preventDefault(),e.stopImmediatePropagation(),(0,_jquery.default)(this).attr("disabled","disabled").addClass("d-none"),(0,_jquery.default)("#annotation-btns #ungroup").removeAttr("disabled").removeClass("d-none"),getItems(!1);let active=(0,_jquery.default)(".annotation-wrapper.active").map((function(){return(0,_jquery.default)(this).data("item")})).get();const group=(new Date).getTime();active.forEach((item=>{let activeItem=(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(item,'"]')),targetIndex=items.findIndex((x=>x.id==item)),target=JSON.parse(JSON.stringify(items[targetIndex]));target.position.group=group,activeItem.attr("data-group",target.position.group),items[targetIndex]=target})),renderItems(items,active,!1),saveTracking(active)})),(0,_jquery.default)(document).off("click","#annotation-btns #ungroup").on("click","#annotation-btns #ungroup",(function(e){e.preventDefault(),e.stopImmediatePropagation(),(0,_jquery.default)(this).attr("disabled","disabled").addClass("d-none"),(0,_jquery.default)("#annotation-btns #group").removeAttr("disabled").removeClass("d-none"),getItems(!1);let active=(0,_jquery.default)(".annotation-wrapper.active").map((function(){return(0,_jquery.default)(this).data("item")})).get();active.forEach((item=>{let activeItem=(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(item,'"]')),targetIndex=items.findIndex((x=>x.id==item)),target=JSON.parse(JSON.stringify(items[targetIndex]));delete target.position.group,activeItem.attr("data-group",""),items[targetIndex]=target})),renderItems(items,active,!1),saveTracking(active)})),(0,_jquery.default)(document).off("click","#annotation-btns #up").on("click","#annotation-btns #up",(function(e){e.preventDefault(),e.stopImmediatePropagation();let active=(0,_jquery.default)("#edit-btns").attr("data-active");active=active.split(",");const topLayer=getTopLayer(items);if(active.length>1){active=sortItemsByLayer(active,"desc");let indexes=[];if(items.sort(((a,b)=>b.position["z-index"]-a.position["z-index"])),active.forEach((item=>{indexes.push(items.findIndex((x=>x.id==item)))})),indexes.sort(((a,b)=>a-b)),Math.abs(indexes[0]-indexes[indexes.length-1])==active.length-1&&Number(items[indexes[0]].position["z-index"])==topLayer)return}active.forEach((item=>{updateOrder(item,"up")})),getItems(!1),updatePositionInfo((0,_jquery.default)('.annotation-wrapper[data-item="'.concat(active[0],'"]'))),renderTimelineItems(items,active)})),(0,_jquery.default)(document).off("click","#annotation-btns #down").on("click","#annotation-btns #down",(function(e){e.preventDefault(),e.stopImmediatePropagation();let active=(0,_jquery.default)("#edit-btns").attr("data-active");active=active.split(",");const bottomLayer=(itms=>{if(0==itms.length)return 5;let ids=itms.map((item=>item.id)),sorted=sortItemsByLayer(ids,"asc"),zindex=itms.find((item=>item.id==sorted[0])).position["z-index"];return Number(zindex)})(items);if(active.length>1){active=sortItemsByLayer(active,"asc");let indexes=[];if(items.sort(((a,b)=>a.position["z-index"]-b.position["z-index"])),active.forEach((item=>{indexes.push(items.findIndex((x=>x.id==item)))})),indexes.sort(((a,b)=>a-b)),Math.abs(indexes[0]-indexes[indexes.length-1])==active.length-1&&Number(items[indexes[0]].position["z-index"])==bottomLayer)return}active.forEach((item=>{updateOrder(item,"down")})),getItems(!1),updatePositionInfo((0,_jquery.default)('.annotation-wrapper[data-item="'.concat(active[0],'"]'))),renderTimelineItems(items,active)})),$playerWrapper.off("click","#annotation-btns #delete").on("click","#annotation-btns #delete",(function(e){e.preventDefault(),e.stopImmediatePropagation();let active=(0,_jquery.default)("#edit-btns").attr("data-active");active=active.split(","),active.forEach((item=>{(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(item,'"]')).remove(),(0,_jquery.default)("#edit-btns").attr("data-active","").addClass("d-none").removeClass("d-flex")})),getItems(!1),renderTimelineItems(items,null),saveTracking(null)})),$playerWrapper.off("click","#annotation-btns #copy").on("click","#annotation-btns #copy",(async function(e){e.preventDefault(),e.stopImmediatePropagation(),getItems(!1);const highestOrder=getTopLayer(items);let active=(0,_jquery.default)("#edit-btns").attr("data-active");active=active.split(","),active=sortItemsByLayer(active,"asc");const currentTime=await self.player.getCurrentTime();let newItems=[],groupIncrement=Math.round(100*Math.random());for(let i=0;i<active.length;i++){let a=active[i],activeItem=(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(a,'"]'));activeItem.removeClass("active");const item=items.find((x=>x.id==a));let newItem=JSON.parse(JSON.stringify(item));newItem.properties.end=currentTime+(newItem.properties.end-newItem.properties.start),newItem.properties.start=currentTime,newItem.position=recalculatingSize(activeItem),item.position.group&&(newItem.position.group=Number(item.position.group)+groupIncrement),newItem.id=(new Date).getTime()+i,newItems.push(newItem.id),newItem.position["z-index"]=Number(highestOrder)+i+1,items.push(newItem),renderItems(items,null,!1),i==active.length-1&&((0,_jquery.default)("#edit-btns").attr("data-active",newItems.join(",")).addClass("d-flex").removeClass("d-none"),renderItems([],newItems,!0),setTimeout((()=>{getItems(!1),document.querySelector(".annotation-wrapper.active").focus(),updatePositionInfo($videoWrapper.find('.annotation-wrapper[data-item="'.concat(newItem.id,'"]'))),(0,_event_dispatcher.dispatchEvent)("timeupdate",{time:currentTime}),saveTracking(newItems)}),500))}})),$playerWrapper.on("keydown",".annotation-wrapper",(function(e){let active=(0,_jquery.default)("#edit-btns").attr("data-active");active=active.split(","),getItems(!1);for(let i=0;i<active.length;i++){let a=active[i],activeItem=(0,_jquery.default)('.annotation-wrapper[data-item="'.concat(a,'"]'));if(null!=activeItem){let position=activeItem.position(),ctrl=e.ctrlKey||e.metaKey,step=1;switch(e.preventDefault(),e.stopImmediatePropagation(),e.key){case"ArrowUp":position.top>0&&(position.top=position.top-step,saveTracking(active));break;case"ArrowDown":position.top+activeItem.outerHeight()<$videoWrapper.height()&&(position.top=position.top+step,saveTracking(active));break;case"ArrowLeft":position.left>0&&(position.left=position.left-step,saveTracking(active));break;case"ArrowRight":position.left+activeItem.outerWidth()<$videoWrapper.width()&&(position.left=position.left+step,saveTracking(active));break;case"Delete":return void(0,_jquery.default)("#annotation-btns #delete").trigger("click");case"d":return void(ctrl&&(0,_jquery.default)("#annotation-btns #copy").trigger("click"));default:return}activeItem.css(position),recalculatingSize(activeItem)}}})),(0,_jquery.default)(document).on("annotationdeleted",(function(e){let deleted=e.originalEvent.detail.annotation;$videoWrapper.data("id")==deleted.id&&($videoWrapper.find(".annotation-wrapper").remove(),(0,_jquery.default)("#annotation-btns").remove(),(0,_jquery.default)("#timeline #annotation-timeline .annotation-timeline-item").remove())})),window.addEventListener("beforeunload",(e=>{if(null!==draftStatus){const confirmationMessage=M.util.get_string("unsavedchanges","mod_interactivevideo");return e.returnValue=confirmationMessage,confirmationMessage}return!0}))}async renderEditItem(annotations,listItem,item){return this.annotations=annotations,listItem.removeAttr("id").removeClass("d-none"),listItem.attr("data-type",item.type),listItem.addClass(item.type),listItem.attr("data-id",item.id),listItem.removeAttr("data-timestamp"),listItem.find(".timestamp").remove(),listItem.find(".title").text(item.formattedtitle).addClass("no-pointer text-dark"),listItem.find(".btn.xp").remove(),listItem.find(".type-icon i").addClass(this.prop.icon),listItem.find(".type-icon").attr("title",this.prop.title),listItem.find(".btn.copy").remove(),listItem.appendTo("#annotation-list"),listItem}async editAnnotation(annotations,id){this.annotations=annotations;let item=this.annotations.find((annotation=>annotation.id==id));(0,_jquery.default)("#annotation-canvas").attr("data-id",item.id),(0,_jquery.default)("#interaction-timeline, #video-timeline-wrapper").hide(),(0,_jquery.default)("#timeline-btns div:not(#playbutton)").css("visibility","hidden"),(0,_jquery.default)("#content-region").addClass("no-pointer-events"),(0,_jquery.default)("#annotation-timeline").show(),(0,_jquery.default)("#annotation-canvas .annotation-wrapper").removeClass("no-pointer"),(0,_jquery.default)("#scrollbar").removeClass("snap"),this.renderAnnotationToolbar(item)}async addAnnotation(annotations,timestamp,coursemodule){let self=this;if(annotations.find((annotation=>annotation.type==self.prop.name)))return void self.addNotification("Annotation already exists","danger");let data={title:"Annotation",timestamp:-1,contextid:M.cfg.contextid,type:self.prop.name,courseid:self.course,cmid:coursemodule,annotationid:self.interaction,hascompletion:0,advanced:JSON.stringify({visiblebeforecompleted:"1",visibleaftercompleted:null,clickablebeforecompleted:"1",clickableaftercompleted:null,replaybehavior:"1"})},ajax=await _ajax.default.call([{methodname:"ivplugin_annotation_add",args:{annotationdata:JSON.stringify(data)},contextid:M.cfg.contextid}])[0],newAnnotation=JSON.parse(ajax.data);(0,_event_dispatcher.dispatchEvent)("annotationupdated",{annotation:newAnnotation,action:"add"}),self.annotations=annotations,(0,_jquery.default)("#contentmodal").modal("hide"),newAnnotation.editmode=!0;const content=await self.render(newAnnotation,"json");(0,_jquery.default)("#annotation-canvas").attr("data-id",newAnnotation.id),self.postContentRender(newAnnotation,content),self.editAnnotation(annotations,newAnnotation.id)}runInteraction(annotation){return annotation}}return _exports.default=Annotation,_exports.default}));

//# sourceMappingURL=main.min.js.map